Subject: Questions about checking out 6.7 using git

From: Kai Yu <[email-masked]>
Date: Mon, 4 Apr 2011 23:00:36 +0800

Hi, I'm currently investigating how to fight software regressions with
git bisect. I git clone coreutils and type "git checkout
COREUTILS-6_7" to switch to the version 6.7. After type "./bootstrap",
an error arises:

ln: creating symbolic link `lib/uniwidth/cjk.h': No such file or directory

By looking into commit history, I found this problem was solved by
this commit, which modifies bootstrap:
http://git.savannah.gnu.org/cgit/coreutils.git/commit/?id=e7368caf47c9bcdd853f1f9dac4382935d4caa6f

After modification and run './bootstrap' again, the above error disappears.
Then I type "./configure" and it is OK.
However, when use "make" to complie the package, another error arises:

sed: read error on ../.: Is a directory
make[1]: *** [inttypes.h] Error 4
make[1]: Leaving directory `/home/coreutils/lib'
make: *** [all-recursive] Error 1

Could anybody tell me how to check out and compile coreutils-6.7 by using git?

I would appreciate any replies on this issue, thank you.